# Class Task

java.lang.Object
org.daypilot.data.Task

public class Task extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `Task.StartEnd`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Task`
  `ROOT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Task()`
  `Task(String text, String id, DateTime start, DateTime end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Task`
  `fromJSON(JSONObject input)`
  `TaskCollection`
  `getChildren()`
  `Task.StartEnd`
  `getChildrenStartEnd()`
  `int`
  `getComplete()`
  `Object`
  `getDataItem()`
  `DateTime`
  `getEnd()`
  `String`
  `getId()`
  `DateTime`
  `getStart()`
  `TaskTagMap`
  `getTags()`
  `String`
  `getText()`
  `TaskType`
  `getType()`
  `boolean`
  `isDynamicChildren()`
  `boolean`
  `isExpanded()`
  `void`
  `setChildren(TaskCollection children)`
  `void`
  `setComplete(int complete)`
  `void`
  `setDataItem(Object dataItem)`
  `void`
  `setDynamicChildren(boolean dynamicChildren)`
  `void`
  `setEnd(DateTime end)`
  `void`
  `setExpanded(boolean expanded)`
  `void`
  `setId(String id)`
  `void`
  `setStart(DateTime start)`
  `void`
  `setText(String text)`
  `void`
  `setType(TaskType type)`
  `JSONObject`
  `toJSON()`
  `JSONObject`
  `toJSONIncludeChildren()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROOT

    public static final Task ROOT

- ## Constructor Details

  - ### Task

    public Task()

  - ### Task

    public Task(String text, String id, DateTime start, DateTime end)

- ## Method Details

  - ### toJSON

    public JSONObject toJSON()

  - ### toJSONIncludeChildren

    public JSONObject toJSONIncludeChildren()

  - ### fromJSON

    public static Task fromJSON(JSONObject input)

  - ### getChildren

    public TaskCollection getChildren()

  - ### isExpanded

    public boolean isExpanded()

  - ### setExpanded

    public void setExpanded(boolean expanded)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### getStart

    public DateTime getStart()

  - ### setStart

    public void setStart(DateTime start)

  - ### getEnd

    public DateTime getEnd()

  - ### setEnd

    public void setEnd(DateTime end)

  - ### getType

    public TaskType getType()

  - ### setType

    public void setType(TaskType type)

  - ### getTags

    public TaskTagMap getTags()

  - ### getComplete

    public int getComplete()

  - ### setComplete

    public void setComplete(int complete)

  - ### isDynamicChildren

    public boolean isDynamicChildren()

  - ### setDynamicChildren

    public void setDynamicChildren(boolean dynamicChildren)

  - ### setChildren

    public void setChildren(TaskCollection children)

  - ### getDataItem

    public Object getDataItem()

  - ### setDataItem

    public void setDataItem(Object dataItem)

  - ### getChildrenStartEnd

    public Task.StartEnd getChildrenStartEnd()